Creating a new group causes warnings using MySQL

Bug #1326174 reported by Son Nguyen on 2014-06-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Son Nguyen
1.10
High
Son Nguyen
1.8
High
Robert Lyon
1.9
High
Robert Lyon

Bug Description

Version: 1.9, master
Browser: all
Platform: Apache 2.2, Php 5.3, and MySQL 5.1.73

I got warnings when creating a new group
Note: I have used dbprefix

[WAR] ea (lib/mahara.php:3621) Trying to get property of non-object
Call stack (most recent first):
log_message("Trying to get property of non-object", 8, true, true, "/var/www/html/lib/mahara.php", 3621) at /var/www/html/lib/errors.php:433
error(8, "Trying to get property of non-object", "/var/www/html/lib/mahara.php", 3621, array(size 4)) at /var/www/html/lib/mahara.php:3621
check_case_sensitive(array(size 0), "view_tag") at /var/www/html/lib/view.php:721
View->commit() at /var/www/html/lib/view.php:398
View::create_from_template(array(size 4), "3", 0, false) at /var/www/html/lib/group.php:506
group_create(array(size 22)) at /var/www/html/group/edit.php:490
editgroup_submit(object(Pieform), array(size 27)) at Unknown:0
call_user_func_array("editgroup_submit", array(size 2)) at /var/www/html/lib/pieforms/pieform.php:527
Pieform->__construct(array(size 4)) at /var/www/html/lib/pieforms/pieform.php:162
Pieform::process(array(size 4)) at /var/www/html/lib/pieforms/pieform.php:71
pieform(array(size 4)) at /var/www/html/group/edit.php:390

Son Nguyen (ngson2000) on 2014-06-03
description: updated
Son Nguyen (ngson2000) on 2014-06-04
Changed in mahara:
status: New → In Progress
Aaron Wells (u-aaronw) wrote :

Regression for the patch from Bug 1231920

tags: added: regression

Reviewed: https://reviews.mahara.org/3403
Committed: http://gitorious.org/mahara/mahara/commit/e942b30ac04f5419df9784e071f60eb72c0b5632
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit e942b30ac04f5419df9784e071f60eb72c0b5632
Author: Son Nguyen <email address hidden>
Date: Wed Jun 4 13:39:57 2014 +1200

Add dbprefix to the table name in SQL statement (Bug #1326174)

Change-Id: Ic13cb97266433cc9cb0a5f95761f58a1a8a7b8c5
Signed-off-by: Son Nguyen <email address hidden>

Reviewed: https://reviews.mahara.org/3449
Committed: http://gitorious.org/mahara/mahara/commit/6018325771c55a65e65b3c96eb1e75b8b849e035
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 6018325771c55a65e65b3c96eb1e75b8b849e035
Author: Son Nguyen <email address hidden>
Date: Tue Jun 17 16:35:08 2014 +1200

Fix the bug when the Mysql database collation is not set to ci

Bug #1326174

Change-Id: I2ff391b74533092b9c2e0aeaa8a34ed5059d1119
Signed-off-by: Son Nguyen <email address hidden>

Reviewed: https://reviews.mahara.org/3545
Committed: http://gitorious.org/mahara/mahara/commit/361fe5f43be7d51b7e9bb00cffe970171c6aa40d
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.8_STABLE

commit 361fe5f43be7d51b7e9bb00cffe970171c6aa40d
Author: Son Nguyen <email address hidden>
Date: Tue Jun 17 16:35:08 2014 +1200

Fix the bug when the Mysql database collation is not set to ci

Bug #1326174

Change-Id: I2ff391b74533092b9c2e0aeaa8a34ed5059d1119
Signed-off-by: Son Nguyen <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3544
Committed: http://gitorious.org/mahara/mahara/commit/d387be5d7be58ae01d4e8db68acd69979bb8f972
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.8_STABLE

commit d387be5d7be58ae01d4e8db68acd69979bb8f972
Author: Son Nguyen <email address hidden>
Date: Wed Jun 4 13:39:57 2014 +1200

Add dbprefix to the table name in SQL statement (Bug #1326174)

Change-Id: Ic13cb97266433cc9cb0a5f95761f58a1a8a7b8c5
Signed-off-by: Son Nguyen <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "1.9_STABLE" branch: https://reviews.mahara.org/3546

Mahara Bot (dev-mahara) wrote :

Patch for "1.9_STABLE" branch: https://reviews.mahara.org/3547

Reviewed: https://reviews.mahara.org/3546
Committed: http://gitorious.org/mahara/mahara/commit/dc43c70a90255b45c3debc6d87046389111c7225
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit dc43c70a90255b45c3debc6d87046389111c7225
Author: Son Nguyen <email address hidden>
Date: Wed Jun 4 13:39:57 2014 +1200

Add dbprefix to the table name in SQL statement (Bug #1326174)

Change-Id: Ic13cb97266433cc9cb0a5f95761f58a1a8a7b8c5
Signed-off-by: Son Nguyen <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3547
Committed: http://gitorious.org/mahara/mahara/commit/55f55aa3517a6734befc0782c7d73f8253440604
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit 55f55aa3517a6734befc0782c7d73f8253440604
Author: Son Nguyen <email address hidden>
Date: Tue Jun 17 16:35:08 2014 +1200

Fix the bug when the Mysql database collation is not set to ci

Bug #1326174

Change-Id: I2ff391b74533092b9c2e0aeaa8a34ed5059d1119
Signed-off-by: Son Nguyen <email address hidden>

Aaron Wells (u-aaronw) on 2014-10-20
Changed in mahara:
milestone: 1.10.0 → none
Aaron Wells (u-aaronw) on 2014-10-21
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers